Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetAuthErrorFilter

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.InetAuthErrorFilter

public class InetAuthErrorFilter extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetAuthErrorFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContract()`
  `Set<Integer>`
  `getContractIds()`
  `Set<Integer>`
  `getDeviceIds()`
  `String`
  `getLogin()`
  `String`
  `getService()`
  `Set<Integer>`
  `getServiceIds()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `InetAuthErrorFilter`
  `setContract(String contract)`
  `InetAuthErrorFilter`
  `setContractIds(Set<Integer> contractIds)`
  `InetAuthErrorFilter`
  `setDeviceIds(Set<Integer> deviceIds)`
  `InetAuthErrorFilter`
  `setLogin(String login)`
  `InetAuthErrorFilter`
  `setService(String service)`
  `InetAuthErrorFilter`
  `setServiceIds(Set<Integer> serviceIds)`
  `InetAuthErrorFilter`
  `setTimeFrom(Date timeFrom)`
  `InetAuthErrorFilter`
  `setTimeTo(Date timeTo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetAuthErrorFilter

    public InetAuthErrorFilter()

- ## Method Details

  - ### getContract

    public String getContract()

  - ### getContractIds

    public Set<Integer> getContractIds()

  - ### getDeviceIds

    public Set<Integer> getDeviceIds()

  - ### getLogin

    public String getLogin()

  - ### getService

    public String getService()

  - ### getServiceIds

    public Set<Integer> getServiceIds()

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### getTimeTo

    public Date getTimeTo()

  - ### setContract

    public InetAuthErrorFilter setContract(String contract)

  - ### setContractIds

    public InetAuthErrorFilter setContractIds(Set<Integer> contractIds)

  - ### setDeviceIds

    public InetAuthErrorFilter setDeviceIds(Set<Integer> deviceIds)

  - ### setLogin

    public InetAuthErrorFilter setLogin(String login)

  - ### setService

    public InetAuthErrorFilter setService(String service)

  - ### setServiceIds

    public InetAuthErrorFilter setServiceIds(Set<Integer> serviceIds)

  - ### setTimeFrom

    public InetAuthErrorFilter setTimeFrom(Date timeFrom)

  - ### setTimeTo

    public InetAuthErrorFilter setTimeTo(Date timeTo)